MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025844Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-02-19 12:092015-05-14 16:29
Reportergka 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025844: Command "checkshape" does not detect error for case when degenerated edge does not contain geometric representation.
DescriptionCommand "checkshape" does not detect error for case when degenerated edge does not contain geometric representation ( 2D curves in parametric space of face)
Steps To ReproduceDraw[31]> restore oneWire.brep b
b
Draw[32]> checkshape b f
 -- The Shape b looks OK
TagsNo tags attached.
Test case numberbugs modalg_6(011) bug25844
Attached Files? file icon oneWire.brep (1,880 bytes) 2015-02-19 12:09

- Relationships

-  Notes
(0037831)
msv (developer)
2015-02-24 17:24

The current dev version gives the error on this shape:

On Shape faulty_1 :
BRepCheck_CheckFail
On Shape faulty_2 :
BRepCheck_CheckFail

Faulty shapes in variables faulty_1 to faulty_2
(0039552)
gka (developer)
2015-04-10 10:58

This bug was not reproduced on current version and can be closed.
(0040519)
git (administrator)
2015-04-30 18:04

Branch CR25844 has been created by mkv.

SHA-1: 3ae2c368ae8d82f0d5ab41f65ea520273c0e901c


Detailed log of new commits:

Author: mkv
Date: Thu Apr 30 18:03:47 2015 +0300

    0025844: Command checkshape does not detect error for case when degenerated edge does not contain geometric representation.
(0040520)
mkv (tester)
2015-04-30 18:07

Dear BugMaster,
Test case
bugs modalg_6(011) bug25844
was created and pushed to new branch CR25844 of occt git-repository.

This test case have status OK.
(0041004)
git (administrator)
2015-05-14 16:29

Branch CR25844 has been deleted by inv.

SHA-1: 3ae2c368ae8d82f0d5ab41f65ea520273c0e901c

- Related Changesets
occt: master 63073e35
Timestamp: 2015-04-30 15:03:47
Author: mkv
Committer: bugmaster
Details ] Diff ]
0025844: Command checkshape does not detect error for case when degenerated edge does not contain geometric representation.
add - tests/bugs/modalg_6/bug25844 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-19 12:09 gka New Issue
2015-02-19 12:09 gka Assigned To => msv
2015-02-19 12:09 gka File Added: oneWire.brep
2015-02-19 12:10 gka Relationship added related to 0025843
2015-02-24 17:24 msv Note Added: 0037831
2015-02-24 17:24 msv Assigned To msv => gka
2015-02-24 17:24 msv Status new => feedback
2015-04-10 10:56 gka Assigned To gka => msv
2015-04-10 10:56 gka Status feedback => resolved
2015-04-10 10:58 gka Note Added: 0039552
2015-04-10 10:58 gka Assigned To msv => bugmaster
2015-04-10 10:58 gka Status resolved => reviewed
2015-04-10 14:55 mkv Assigned To bugmaster => mkv
2015-04-17 11:03 aiv Project Internal => Open CASCADE
2015-04-30 18:04 git Note Added: 0040519
2015-04-30 18:07 mkv Note Added: 0040520
2015-04-30 18:07 mkv Assigned To mkv => bugmaster
2015-04-30 18:07 mkv Status reviewed => tested
2015-04-30 18:08 mkv Test case number => bugs modalg_6(011) bug25844
2015-05-07 11:18 bugmaster Changeset attached => occt master 63073e35
2015-05-07 11:18 bugmaster Status tested => verified
2015-05-07 11:18 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:29 git Note Added: 0041004


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker